%define major 3
%define libname %mklibname gd %{major}
%define develname %mklibname gd -d
%define staticdevelname %mklibname gd -d -s

Summary:	A library used to create PNG, JPEG, or WBMP images
Name:		libgd
Version:	2.1.1
Release:	%mkrel 2
License:	BSD-like
Group:		System/Libraries
URL:		http://www.libgd.org/
Source0:	https://bitbucket.org/libgd/gd-libgd/downloads/libgd-%{version}.tar.xz
Patch0:		libgd-2.1.0-phpbug65070.diff
Patch1:		libgd-2.1.1-libvpx-1.4.patch
#------------------------------------
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}vpx-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xpm-devel
#------------------------------------

%description
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

%package -n	%{libname}
Summary:	A library used to create PNG, JPEG, or WBMP images
Group:		System/Libraries
Provides:	gd = %{version}-%{release}
Obsoletes:	gd

%description -n	%{libname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains the library needed to run programs dynamically linked
with libgd.

%package -n	%{develname}
Summary:	The development libraries and header files for gd
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	gd-devel = %{version}-%{release}
Obsoletes:	gd-devel
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

These are the development libraries and header files for gd, the .png and .jpeg
graphics library. If you're installing the gd graphics library, you'll probably
want to install gd-devel.

%package -n	%{staticdevelname}
Summary:	Static GD library
Group:		Development/Libraries
Requires:	%{develname} = %{version}
Provides:	libgd-static-devel = %{version}-%{release}
Provides:	gd-static-devel = %{version}-%{release}

%description -n	%{staticdevelname}
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains static gd library.

%package -n	gd-utils
Summary:	The Utils files for gd
Group:		System/Libraries
Requires:	%{libname} = %{version}

%description -n	gd-utils
gd is a graphics library. It allows your code to quickly draw images complete
with lines, arcs, text, multiple colors, cut and paste from other images, and
flood fills, and write out the result as a PNG or JPEG file. This is
particularly useful in World Wide Webapplications, where PNG and JPEG are two
of the formats accepted for in-line images by most browsers.

gd is not a paint program. If you are looking for a paint program, you are
looking in the wrong place. If you are not a programmer, you are looking in the
wrong place. 

gd does not provide for every possible desirable graphics operation. It is not
necessary or desirable for gd to become a kitchen-sink graphics package, but
version 1.7.3 incorporates most of the commonly requested features for an 8-bit
2D package.

This package contains various utilities utilizing the gd library.

%prep

%setup -q -n libgd-%{version}
%apply_patches

%build

%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall

sed -i -e 's!-Wl,--as-needed!!' -e 's!-Wl,--no-undefined!!' %{buildroot}%{_bindir}/gdlib-config

%multiarch_binaries %{buildroot}%{_bindir}/gdlib-config
%multiarch_includes %{buildroot}%{_includedir}/gd.h

install -m0644 src/gdhelpers.h %{buildroot}%{_includedir}/

rm -f %buildroot%{_libdir}/*.la

# Fix upstream perm bug #3053
chmod 644 docs/README.TXT

%files -n %{libname}
%doc docs/README.TXT src/COPYING
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%attr(644,root,root) %doc NEWS
%{_bindir}/gdlib-config
%multiarch %{multiarch_bindir}/gdlib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/gdlib.pc
%{_includedir}/*.h
%multiarch %{multiarch_includedir}/*.h

%files -n %{staticdevelname}
%{_libdir}/lib*.a

%files -n gd-utils
%{_bindir}/annotate
%{_bindir}/bdftogd
%{_bindir}/gd2copypal
%{_bindir}/gd2topng
%{_bindir}/gdparttopng
%{_bindir}/gdtopng
%{_bindir}/pngtogd
%{_bindir}/pngtogd2
%{_bindir}/webpng
%{_bindir}/gd2togif
%{_bindir}/gdcmpgif
%{_bindir}/giftogd2


%changelog
* Wed Apr 13 2016 bb <bb> 2.1.1-2pclos2016
- rebuild for new libvpx

* Tue Oct 20 2015 bb <bb> 2.1.1-1pclos2015
- update

* Thu Sep 11 2014 bb <bb> 2.1.0-1pclos2014
- reimport due to lost srpm
- update 2.1.0
